// $Id: audio.js,v 1.1 2008/10/13 17:38:55 drewish Exp $

/**
 * Auto-attach standard client side file input validation.
 */
Drupal.behaviors.audioValidateAutoAttach = function(context) {
  $("input[@type='file'][accept]", context).change( function() {
    $('.audio-js-error').remove();

    /**
     * Add client side validation for extensions.
     */
    if (this.accept.length > 1) {
      piped = this.accept.replace(/, /g, '|');
      if (piped) {
        v = new RegExp('\\.(' + piped + ')$', 'gi');
        if (!v.test(this.value)) {
          var error = Drupal.t("The selected file %filename cannot not be uploaded. Only files with the following extensions are allowed: %extensions.",
            { '%filename' : this.value, '%extensions': this.accept }
          );
          // What do I prepend this to?
          $(this).before('<div class="messages error audio-js-error">' + error + '</div>');
          this.value = '';
          return false;
        }
      }
    }
  });
}
